# CEGUI::TabPane Class Reference

Base class for a tab pane. More...

Inheritance diagram for CEGUI::TabPane:

[legend]
Collaboration diagram for CEGUI::TabPane:

[legend]
List of all members.

## Public Member Functions

| TabPane (const String &type, const String &name)
| Constructor for tab pane widgets.
virtual | ~TabPane (void)
| Destructor for tab pane widgets.

## Protected Member Functions

virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance heirarchy.

## Detailed Description

Base class for a tab pane.

## Member Function Documentation

virtual bool CEGUI::TabPane::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

Return whether this window was inherited from the given class name at some point in the inheritance heirarchy.

Parameters:

  | class_name | The class name that is to be checked.

Returns:
  true if this window was inherited from class_name. false if not.

Reimplemented from CEGUI::Static.